com.unitech.stuhflBridge

## Class IRunnerListener.STUHFL_T_InventoryStatistics

- java.lang.Object
- - com.unitech.stuhflBridge.IRunnerListener.STUHFL_T_InventoryStatistics

- Enclosing interface:
    IRunnerListener

      public static class IRunnerListener.STUHFL_T_InventoryStatistics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `adc` < O Param: Current Frequency.
    `long` | `collisionCnt` < O Param: Number of empty slots.
    `long` | `crcErrCnt` < O Param: Number of Preamble errors.
    `long` | `emptySlotCnt` < O Param: Number of detected tags.
    `long` | `frequency` < O Param: Current Q, may vary if adaptiveQEnable is set.
    `long` | `headerErrCnt` < O Param: Number of CRC errors.
    `long` | `preambleErrCnt` < O Param: Number of skipped tags due to failed follow command (eg.: subsequent ReadTID after Query).
    `short` | `Q` < O Param: Reader sensitivity.
    `long` | `roundCnt` < O Param: timestamp of last statistics update.
    `short` | `rssiLogMean` < O Param: Reader status.
    `long` | `rxCountErrCnt` < O Param: Number of Header errors.
    `byte` | `sensitivity` < O Param: RSSI log mean value.
    `long` | `skipCnt` < O Param: Number of collisions.
    `long` | `tagCnt` < O Param: ADC value.
    `long` | `timestamp`
    `short` | `tuningStatus` < O Param: Inventory rounds already done.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_InventoryStatistics()`
    `STUHFL_T_InventoryStatistics(IRunnerListener.STUHFL_T_InventoryStatistics statistics)`
    `STUHFL_T_InventoryStatistics(long timestamp, long roundCnt, short tuningStatus, short rssiLogMean, byte sensitivity, short Q, long frequency, int adc, long tagCnt, long emptySlotCnt, long collisionCnt, long skipCnt, long preambleErrCnt, long crcErrCnt, long headerErrCnt, long rxCountErrCnt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` < O Param: Number of RX count errors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          public long timestamp

    - #### roundCnt

          public long roundCnt

      < O Param: timestamp of last statistics update.

    - #### tuningStatus

          public short tuningStatus

      < O Param: Inventory rounds already done.

    - #### rssiLogMean

          public short rssiLogMean

      < O Param: Reader status.

    - #### sensitivity

          public byte sensitivity

      < O Param: RSSI log mean value. Measurement is updated with every found TAG

    - #### Q

          public short Q

      < O Param: Reader sensitivity.

    - #### frequency

          public long frequency

      < O Param: Current Q, may vary if adaptiveQEnable is set.

    - #### adc

          public int adc

      < O Param: Current Frequency.

    - #### tagCnt

          public long tagCnt

      < O Param: ADC value. Measured after each inventory round.

    - #### emptySlotCnt

          public long emptySlotCnt

      < O Param: Number of detected tags.

    - #### collisionCnt

          public long collisionCnt

      < O Param: Number of empty slots.

    - #### skipCnt

          public long skipCnt

      < O Param: Number of collisions.

    - #### preambleErrCnt

          public long preambleErrCnt

      < O Param: Number of skipped tags due to failed follow command (eg.: subsequent ReadTID after Query).

    - #### crcErrCnt

          public long crcErrCnt

      < O Param: Number of Preamble errors.

    - #### headerErrCnt

          public long headerErrCnt

      < O Param: Number of CRC errors.

    - #### rxCountErrCnt

          public long rxCountErrCnt

      < O Param: Number of Header errors.

  - ### Constructor Detail

    - #### STUHFL_T_InventoryStatistics

          public STUHFL_T_InventoryStatistics()

    - #### STUHFL_T_InventoryStatistics

          public STUHFL_T_InventoryStatistics(IRunnerListener.STUHFL_T_InventoryStatistics statistics)

    - #### STUHFL_T_InventoryStatistics

          public STUHFL_T_InventoryStatistics(long timestamp,
                                              long roundCnt,
                                              short tuningStatus,
                                              short rssiLogMean,
                                              byte sensitivity,
                                              short Q,
                                              long frequency,
                                              int adc,
                                              long tagCnt,
                                              long emptySlotCnt,
                                              long collisionCnt,
                                              long skipCnt,
                                              long preambleErrCnt,
                                              long crcErrCnt,
                                              long headerErrCnt,
                                              long rxCountErrCnt)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      < O Param: Number of RX count errors.
      Overrides:
        `toString` in class `java.lang.Object`